Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx
Class StandardNanoMBean

    java.lang.Object
      javax.management.StandardMBean
          org.picocontainer.gems.jmx.StandardNanoMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration

    public final class StandardNanoMBean

extends StandardMBean

StandardMBean with a provided MBeanInfo.

Author:
  Jörg Schaible

Constructor Summary
`StandardNanoMBean(Object implementation, Class management, MBeanInfo mBeanInfo)` Construct a StandardNanoMBean.

Method Summary
`MBeanInfo` | `getMBeanInfo()` Return the provided `MBeanInfo`.

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardNanoMBean

    public StandardNanoMBean(Object implementation,
                             Class management,
                             MBeanInfo mBeanInfo)
                      throws NotCompliantMBeanException

  Construct a StandardNanoMBean. The only difference to a `StandardMBean` of the JSR 3 is the user provided `MBeanInfo`.

  Parameters:
    `implementation` -
    `management` -
    `mBeanInfo` -
  Throws:
    `NotCompliantMBeanException`

Method Detail

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Return the provided `MBeanInfo`.

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`
  Overrides:
    `getMBeanInfo` in class `StandardMBean`
  See Also:
    `StandardMBean.getMBeanInfo()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.